resource_rules:
  issues:
    rules:
      - name: Close discussion issues with no recent updates
        conditions:
          labels:
            - Discussion
          date:
            attribute: updated_at
            condition: older_than
            interval_type: months
            interval: 12
          state: opened
          limit:
            most_recent: 10
          forbidden_labels:
            - "team::Delivery"
            - "team::Scalability"
        actions:
          status: close
          comment: |
            Hi {{author}},

            This message is being generated because this issue meets the following criteria:

            * This issue is open
            * There has been no activity in the past 12 months (since {{updated_at}})
            * This issue is labeled as a ~Discussion

            As part of efforts to improve our workflow, we are closing inactive discussion issues

            If this issue is still relevant to you and/or your team, please re-open the issue and continue the discussion,
            or create some actionable issues that link back to this one.

            If this issue is actionable, please remove the ~Discussion label

            For any questions on this please reach out to any [Infrastructure Manager](@gitlab-com/gl-infra/managers):

            Thanks for your help! :black_heart:

            #{footer_platform("close-discussion")}
